#ifndef VDERROR_H
#define VDERROR_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <windows.h>
#include <stdio.h>
#include <DXErr.h>



/* **********************************************************************************************************************
   Macros
   **********************************************************************************************************************/

#define FILE_NAME_MAX_SIZE 500



/* **********************************************************************************************************************
   Linked Libraries
   **********************************************************************************************************************/

#pragma comment(lib, "Dxerr.lib")



/* **********************************************************************************************************************
   Function Prototypes
   **********************************************************************************************************************/

void VDOpenFile(HWND window, LPSTR filter, LPSTR fileName);
void VDError(LPCTSTR message, LPCTSTR file, int line);
void VDDirectXError(LPCTSTR message, HRESULT returnValue, LPCTSTR file, int line);



#endif  // VDERROR_H