#ifndef VDITEM_H
#define VDITEM_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDEntity.h"



/* **********************************************************************************************************************
   VDItem
   **********************************************************************************************************************/

class VDItem : public VDEntity {
public:
    VDItem();
    ~VDItem();

    // Item Types
    static const int NUMITEMTYPES;
    static const char * ITEMTYPES[];
    static const int NUMLOCATIONS;
    static const char * LOCATIONS[];

    void WriteToFile(HANDLE anOpenFile);
    void LoadFromFile(HANDLE anOpenFile);

    void SetCoverage(BOOL theHead, BOOL theEyes, BOOL theNeck, BOOL theShoulders,
                     BOOL theChest, BOOL theBack, BOOL theAbdomen, BOOL theArms,
                     BOOL theHands, BOOL theLegs, BOOL theFeet)                   { head = theHead; eyes = theEyes; neck = theNeck; shoulders = theShoulders; chest = theChest; back = theBack; abdomen = theAbdomen; arms = theArms; hands = theHands; legs = theLegs; feet = theFeet; }
    void SetProtection(int protectionLevel)                                       { protection = protectionLevel; }
private:
    // coverage locations
    BOOL head, eyes, neck, shoulders, chest, back, abdomen, arms, hands, legs, feet;

    int protection;
};



#endif  // VDITEM_H