#ifndef VDTEXT_H
#define VDTEXT_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDError.h"



/* **********************************************************************************************************************
   VDText
   **********************************************************************************************************************/

class VDText {
public:
    VDText();
    ~VDText();

    void WriteToFile(HANDLE anOpenFile);
    void LoadFromFile(HANDLE anOpenFile);

       int GetID()                  { return id; }
      void SetID(int newID)         { id = newID; }
    LPCSTR GetText()                { return text; }
      void SetText(LPCSTR newText)  { (void) strcpy_s(text, newText); }
       int GetNextID()              { return nextID; }
      void SetNextID(int newNextID) { nextID = newNextID; }
private:
     int id;                        // ID of this text
    char text[FILE_NAME_MAX_SIZE];  // text of the message
     int nextID;                    // ID of the next text
};



#endif  // VDTEXT_H