#ifndef VDTILE_H
#define VDTILE_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDSpawn.h"
#include "VDError.h"



/* **********************************************************************************************************************
   VDTile
   **********************************************************************************************************************/

class VDTile {
public:
    VDTile();
    ~VDTile();

    void WriteTile(HANDLE anOpenFile);
    void ReadTile(HANDLE anOpenFile);

       int GetType()                                          { return type; }
      void SetType(int theType)                               { type = theType; }
    LPCSTR GetImageFileLocation()                             { return imageFileLocation; }
      void SetImageFileLocation(LPCTSTR theImageFileLocation) { (void) strcpy_s(imageFileLocation, theImageFileLocation); }
    LPCSTR GetNewAreaName()                                   { return newAreaName; }
      void SetNewAreaName(LPCSTR theNewAreaName)              { (void) strcpy_s(newAreaName, theNewAreaName); }
       int GetNewAreaStartingPointX()                         { return newAreaStartingPointX; }
       int GetNewAreaStartingPointY()                         { return newAreaStartingPointY; }
      void SetNewAreaStartingPoint(int x, int y)              { newAreaStartingPointX = x; newAreaStartingPointY = y; }
private:
                int type;  // 0 null, 1 open (entities pass over), 2 open (entities pass under), 3 impassable, 4 new area
               char imageFileLocation[FILE_NAME_MAX_SIZE];
               char newAreaName[FILE_NAME_MAX_SIZE];
                int newAreaStartingPointX;
                int newAreaStartingPointY;
    //vector<VDSpawn> spawns; // TODO: we have to change write to write status, imageFileLoc, etc.
};



#endif VDTILE_H  // VDTILE_H