#ifndef VDWINDOW_H
#define VDWINDOW_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <windows.h>
#include "VDError.h"
#include "Resource.h"



/* **********************************************************************************************************************
   Global Function Prototypes
   **********************************************************************************************************************/

LRESULT CALLBACK WindowProcedure(HWND hWnd, UINT Msg, WPARAM wParam, LPARAM lParam);


 
/* **********************************************************************************************************************
   VDWindow
   **********************************************************************************************************************/

class VDWindow {
public:
    VDWindow();
    virtual ~VDWindow();

    void CreateMyWindow(HINSTANCE instance, LPCSTR windowName, int width, int height);

    HWND GetWindow() { return window; }
private:
    WNDCLASSEX windowClassStructure;  // window class information
          HWND window;                // handle to the window
};



#endif