#ifndef VDDIALOGUE_H
#define VDDIALOGUE_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <vector>
#include "VDText.h"
using namespace std;



/* **********************************************************************************************************************
   VDDialogue
   **********************************************************************************************************************/

class VDDialogue {
public:
    VDDialogue();
    VDDialogue(const VDDialogue &copyDialogue);
    ~VDDialogue();

    void FreeMemory();
    void AddText(int id, LPCSTR text);
    void AddOption(LPCSTR text, int nextID);
    void RemoveOption(LPCSTR text);
    void WriteToFile(HANDLE anOpenFile);
    void LoadFromFile(HANDLE anOpenFile);

    VDText* GetText()                     { return text; }
    VDText* GetOption(unsigned int index) { return &options.at(index); }
     size_t GetOptionsSize()              { return options.size(); }
private:
           VDText* text;
    vector<VDText> options;
};



#endif  // VDDIALOGUE_H