#ifndef VDENTITY_H
#define VDENTITY_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDError.h"



/* **********************************************************************************************************************
   VDEntity
   **********************************************************************************************************************/

class VDEntity {
public:
    VDEntity();
    virtual ~VDEntity();

    virtual void Move(int direction);
    virtual void WriteToFile(HANDLE anOpenFile);
    virtual void LoadFromFile(HANDLE anOpenFile);

       int GetType()                                         { return type; }
      void SetType(int aType)                                { type = aType; }
    LPCSTR GetName()                                         { return name; }
      void SetName(LPCSTR theName)                           { (void) strcpy_s(name, theName); }
       int GetCurrentLocationX()                             { return currentLocationX; }
       int GetCurrentLocationY()                             { return currentLocationY; }
      void SetCurrentLocation(int x, int y)                  { currentLocationX = x; currentLocationY = y; }
    LPCSTR GetImageFileLocation()                            { return imageFileLocation; }
      void SetImageFileLocation(LPCSTR theImageFileLocation) { (void) strcpy_s(imageFileLocation, theImageFileLocation); }
       int GetDirection()                                    { return direction; }
      void SetDirection(int aDirection)                      { direction = aDirection; }
     DWORD GetColorKey()                                     { return colorKey; }
      void SetColorKey(DWORD aColorKey)                      { colorKey = aColorKey; }
protected:
    // TODO write type to file
      int type;  // 0 null, 1 npc, 2 object (entities pass under), 3 object (entities pass over), 4 object (impassable)
      char name[FILE_NAME_MAX_SIZE];
      int currentLocationX;
      int currentLocationY;
     char imageFileLocation[FILE_NAME_MAX_SIZE];
      int direction;  // 0 null, 1 left, 2 right, 3 up, 4 down
    DWORD colorKey;
};



#endif  // VDENTITY_H