#include "VDItem.h"

const int VDItem::NUMITEMTYPES = 5;
const char * VDItem::ITEMTYPES[] = {
    "Use",
    "Armor",
    "Weapon",
    "Accessory",
    "Quest"
};
const int VDItem::NUMLOCATIONS = 6;
const char * VDItem::LOCATIONS[] = {
    "Head",
    "Torso",
    "Hands",
    "Legs",
    "Feet"
};


VDItem::VDItem() {
    head = FALSE;
    eyes = FALSE;
    neck = FALSE;
    shoulders = FALSE;
    chest = FALSE;
    back = FALSE;
    abdomen = FALSE;
    arms = FALSE;
    hands = FALSE;
    legs = FALSE;
    feet = FALSE;

    protection = 0;
};

VDItem::~VDItem() {
};

void VDItem::WriteToFile(HANDLE anOpenFile) {
    BOOL returnValue = FALSE;
    DWORD numberOfBytesWritten = 0;

    // write the name
    returnValue = WriteFile(anOpenFile, &name, sizeof(name), &numberOfBytesWritten, NULL);
    if (returnValue == FALSE) {
        VDError("Failed to write NPC data to file.", __FILE__, __LINE__);
    };

    // write the x location
    returnValue = WriteFile(anOpenFile, &currentLocationX, sizeof(currentLocationX), &numberOfBytesWritten, NULL);
    if (returnValue == FALSE) {
        VDError("Failed to write NPC data to file.", __FILE__, __LINE__);
    };

    // write the y location
    returnValue = WriteFile(anOpenFile, &currentLocationY, sizeof(currentLocationY), &numberOfBytesWritten, NULL);
    if (returnValue == FALSE) {
        VDError("Failed to write NPC data to file.", __FILE__, __LINE__);
    };

    // write the image file location
    returnValue = WriteFile(anOpenFile, &imageFileLocation, sizeof(imageFileLocation), &numberOfBytesWritten, NULL);
    if (returnValue == FALSE) {
        VDError("Failed to write NPC data to file.", __FILE__, __LINE__);
    };

    // write the direction
    returnValue = WriteFile(anOpenFile, &direction, sizeof(direction), &numberOfBytesWritten, NULL);
    if (returnValue == FALSE) {
        VDError("Failed to write NPC data to file.", __FILE__, __LINE__);
    };

    // write the color key
    returnValue = WriteFile(anOpenFile, &colorKey, sizeof(colorKey), &numberOfBytesWritten, NULL);
    if (returnValue == FALSE) {
        VDError("Failed to write NPC data to file.", __FILE__, __LINE__);
    };

    // write the coverage locations
    // TODO

    // write the protection level
    // TODO
};

void VDItem::LoadFromFile(HANDLE anOpenFile) {
    // TODO
};