/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <stdlib.h>
#include <crtdbg.h>
#include "VDEngine.h"



#define _CRTDBG_MAP_ALLOC
#ifdef _DEBUG
    #define new new(_NORMAL_BLOCK, __FILE__, __LINE__)
#endif  // _DEBUG



/* **********************************************************************************************************************
   WinMain
   -------
   Entry point of the program.
   **********************************************************************************************************************/

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPreviousInstance, LPSTR lpCommandLine, int nCommandShow) {
    VDEngine *engine = NULL;

    // satisfy the compiler
    hPreviousInstance;
    lpCommandLine;
    nCommandShow;

    // start game engine
    engine = new VDEngine();
    engine->Run(hInstance);

    // free memory
    delete engine;
    engine = NULL;

    // detect memory leaks
    _CrtDumpMemoryLeaks();

    return EXIT_SUCCESS;
};